
var body = document.body;

body.addEventListener('touchstart', function () {
    var touchPoint = getScrollPosition();

    window.onscroll = function () {
        if (touchPoint > getScrollPosition()) {
            document.querySelector('.mobile-bar').classList.remove('bar-scroll-hide');
        } else if (touchPoint < getScrollPosition()) {
            document.querySelector('.mobile-bar').classList.add('bar-scroll-hide');
        }
    };
});

helper.addEvent('click', '[data-refer]', function (event, element) {
    tapAction(element);
});

// TODO reorganize this method
tapButton('sub-menu-btn', function (e) {
    if (!window.Hammer) {
        e.stopPropagation();
    } else {
        e.srcEvent.stopPropagation();
    }
    e.preventDefault();
    e.target.classList.toggle('active');
    e.target.parentNode.querySelector('ul').classList.toggle('open');
});

function tapAction(element) {
    if (element.dataset.refer.length !== 0) {
        var referName = element.dataset.refer;
        document.querySelector('[data-el="' + referName + '"]').classList.add('open');
        body.setAttribute('data-overlay', '');
        body.addEventListener('click', closeMenu);
    }
}

function closeMenu(event) {
    if (event.target.hasAttribute('data-overlay')) {
        document.querySelector('.m-menu.open').classList.remove('open');
        body.removeAttribute('data-overlay');
    }
}

function tapButton(selector, fun) {
    var listItems = document.getElementsByClassName(selector);
    if (!window.Hammer) {
        for (var i = 0; i < listItems.length; i++) {
            if (window.addEventListener) {
                listItems[i].addEventListener('click', fun, false);
            } else if (window.attachEvent) {
                listItems[i].attachEvent('click', fun, false);
            }
        }
    } else {
        Hammer.each(listItems, function (item) {
            var touchControl = new Hammer(item, {domEvents: true});
            touchControl.on("tap", fun);
        });
    }
}

/**
 *
 * @returns {Number|number}
 */
function getScrollPosition() {
    return window.pageYOffset || document.documentElement.scrollTop;
}